import 'package:equatable/equatable.dart';

/// Represents a `void-type` but with `value equality` feature.
class UnitImpl extends Equatable {
  const UnitImpl();

  @override
  List<Object> get props => [];

  @override
  String toString() => '[UnitImpl]';
}

/// instantiated [UnitImpl] type with value equality
/// this type, serves as a regular dart `void` keyword but with value equality added
const unitImpl = UnitImpl();
